- Qt 5.15
- Qt Core
- Obsolete Members for Qt
- Qt 5.15.19 Reference Documentation

# Obsolete Members for Qt

The following members of class Qt are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Types

`(obsolete)` typedef | WFlags

## Functions

`(obsolete)` QString | escape(const QString &plain)

## Type Documentation

### typedef Qt::WFlags

This typedef is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This typedef is obsolete. Use Qt::WindowFlags instead.

Synonym for Qt::WindowFlags.

## Function Documentation

### QString Qt::escape(const QString &plain)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Use QString::toHtmlEscaped() instead.